import os
from setuptools import find_packages, setup

setup(

	#Main

    name='packgram',
	version='0.6.1',
	packages=find_packages(os.path.dirname(__file__) or '.', exclude=['tests*']),
	include_package_data=True,
    install_requires=['lib31>=0.7', 'runpack>=0.8'],     
    tests_require=['nose'],
    test_suite='nose.collector',
    
    #Description
    
    author='Respect31',
    author_email='post@respect31.com',
    maintainer='Respect31',
    maintainer_email='post@respect31.com',
    license='MIT License',    
    url='https://github.com/respect31/packgram',
    download_url='https://github.com/respect31/packgram/tarball/0.6.1',    
    classifiers=['Development Status :: 2 - Pre-Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: MIT License', 'Programming Language :: Python :: 3.3', 'Topic :: Software Development :: Libraries :: Python Modules', 'Topic :: System :: Systems Administration'],    
    description='Packgram is framework to develop packages.',    
    long_description='''Packgram
========
Packgram is framework to develop packages.

.. image:: https://secure.travis-ci.org/respect31/packgram.png?branch=master 
     :target: https://travis-ci.org/respect31/packgram 
     :alt: build
.. image:: https://coveralls.io/repos/respect31/packgram/badge.png?branch=master 
     :target: https://coveralls.io/r/respect31/packgram  
     :alt: coverage
.. image:: https://badge.fury.io/py/packgram.png
     :target: http://badge.fury.io/py/packgram
     :alt: index  

Requirements
------------
- Python 3.3 and higher

Installation
------------
- pip install packgram

Classifiers
-----------
- Development Status :: 2 - Pre-Alpha
- Intended Audience :: Developers
- License :: OSI Approved :: MIT License
- Programming Language :: Python :: 3.3
- Topic :: Software Development :: Libraries :: Python Modules
- Topic :: System :: Systems Administration''',
        
)